<template>
  <div class="closemsg">
    <img :src="imgSrc" alt=""/>
    <text>{{ text }}</text>
    <u-button type="primary" :custom-style="{ width: '100%', borderRadius: '4px', marginTop: '48px' }" @click="goBack">
      {{ btnText }}
    </u-button>
    <back></back>
  </div>
</template>

<script>
import back from '../../components/AiBack'

export default {
  name: 'CloseMsg',
  components: {back},
  data() {
    return {
      flag: true,
    }
  },
  onLoad(val) {
    this.flag = val?.flag == 1
  },
  methods: {
    goBack() {
      uni.navigateTo({
        // uni.navigateBack({
        // delta: 3,
        url: `/pages/workonline/workonline`,
      })
    },
  },
  computed: {
    text() {
      return this.flag ? '提交成功！' : '提交失败'
    },
    btnText() {
      return this.flag ? '确定' : '我知道了'
    },
    imgSrc() {
      return this.flag ? this.$cdn + 'other/' + 'kztcg.png' : this.$cdn + 'other/' + 'kztsb.png'
    },
  },
}
</script>

<style lang="scss" scoped>
.closemsg {
  min-height: 100%;
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 96px;

  img {
    width: 192px;
    height: 192px;
  }

  text {
    font-size: 36px;
    font-weight: 800;
    color: #333333;
    line-height: 50px;
    display: flex;
    justify-content: center;
  }
}
</style>
